Update BillGroupingKey - m3ter Documentation
Update BillGroupingKey
cURL
curl --request PUT \
--url https://api.m3ter.com/organizations/{orgId}/picklists/billgroupingkeys/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"exclusive": true,
"version": 123,
"code": "code",
"archived": true
}'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/picklists/billgroupingkeys/{id}"
payload = {
"name": "<string>",
"exclusive": True,
"version": 123,
"code": "code",
"archived": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', exclusive: true, version: 123, code: 'code', archived: true})
};
fetch('https://api.m3ter.com/organizations/{orgId}/picklists/billgroupingkeys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/picklists/billgroupingkeys/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'exclusive' => true,
'version' => 123,
'code' => 'code',
'archived' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.m3ter.com/organizations/{orgId}/picklists/billgroupingkeys/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"exclusive\": true,\n \"version\": 123,\n \"code\": \"code\",\n \"archived\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response Example
{
"id": "<string>",
"version": 123,
"code": "<string>",
"name": "<string>",
"archived": true,
"exclusive": true,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
Path Parameters
- orgId (string, required): UUID of the Organization. The Organization represents your company as a direct customer of the m3ter service.
- id (string, required): The UUID of the Bill Grouping Key to update.
Body Parameters
- name (string, required): The name of the entity, length:
1 - 200.
- exclusive (boolean, required): Whether or not the Bill Grouping Key will be used exclusively by one entity.
- version (integer, required): The version number of the entity.
- code (string): The short code for the entity, max length:
80.
- archived (boolean): A Boolean flag indicating whether the entity is archived.